Cursos Servidores con Centos 6
Sistema Operativo ALDOS
Dezoft

Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

 Índice > Todo acerca de Linux > Programas y Aplicaciones Nuevo tema Publicar Respuesta
 error al compilar ORBIT2
Tema anterior Tema siguiente
   
Alejandro
Publicado en 05/09/08 12:23 (Leído 1283 veces)  

Nuevo
Forum User

Inscrito: 21/02/07 Publicaciones: 1
No logro compilar Orbit2 (version 2.14.14), estoy utilizando mandriva 2006 y en su momento he intentado lo mismo en Suse 10.3, Fedora 8.
Esto es por que quiero actualizar gnome desde sources, segun google se debe a una version de glib (compile la 2.16) por lo cual no logro actualizar, he intentado con versiones anteriores y me da el mismo error.

Adicionalmente pego la parte donde me da el error.


Making all in src
make[2]: Entering directory `/home/alejandro/Descarga/ORBit2-2.14.14/src'
Making all in idl-compiler
make[3]: Entering directory `/home/alejandro/Descarga/ORBit2-2.14.14/src/idl-compiler'
gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../include -I../.. -I../../include -DORBIT_BACKENDS_DIR="\"/usr/lib/orbit-2.0/idl-backends\"" -DVERSION=\"2.14.14\" -DORBIT2_INTERNAL_API -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -DG_DISABLE_DEPRECATED -I/usr/include/libIDL-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -Werror-implicit-function-declaration -MT orbit-idl-main.o -MD -MP -MF .deps/orbit-idl-main.Tpo -c -o orbit-idl-main.o orbit-idl-main.c
mv -f .deps/orbit-idl-main.Tpo .deps/orbit-idl-main.Po
gcc -DHAVE_CONFIG_H -I. -I../.. -I../.. -I../../include -I../.. -I../../include -DORBIT_BACKENDS_DIR="\"/usr/lib/orbit-2.0/idl-backends\"" -DVERSION=\"2.14.14\" -DORBIT2_INTERNAL_API -Wall -Wunused -Wmissing-prototypes -Wmissing-declarations -DG_DISABLE_DEPRECATED -I/usr/include/libIDL-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -g -O2 -Werror-implicit-function-declaration -MT orbit-idl-driver.o -MD -MP -MF .deps/orbit-idl-driver.Tpo -c -o orbit-idl-driver.o orbit-idl-driver.c
orbit-idl-driver.c: In function 'orbit_idl_tree_fake_ops':
orbit-idl-driver.c:43: error: 'G_GNUC_PRETTY_FUNCTION' undeclared (first use in this function)
orbit-idl-driver.c:43: error: (Each undeclared identifier is reported only once
orbit-idl-driver.c:43: error: for each function it appears in.)
make[3]: *** [orbit-idl-driver.o] Error 1
make[3]: Leaving directory `/home/alejandro/Descarga/ORBit2-2.14.14/src/idl-compiler'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/alejandro/Descarga/ORBit2-2.14.14/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/alejandro/Descarga/ORBit2-2.14.14'
make: *** [all] Error 2

Por lo que si me pueden orientar de cual es mi error se los agradeceria mucho...
 
Perfil
 Citar
Contenido generado en: 0,04 segundos Nuevo tema Publicar Respuesta
 Todas las horas son UTC. Hora actual 12:45 .
Tema normal Tema normal
Tema persistente Tema persistente
Tema cerrado Tema cerrado
Nueva publicación Nueva publicación
Persistente con nueva publicación Persistente con nueva publicación
Cerrado con nueva publicación Cerrado con nueva publicación
Ver publicaciones anónimas 
Usuarios anónimos pueden publicar 
Se permite HTML Filtrado 
Contenido censurado